<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" >
	<script src="http://maps.google.com/maps/api/js?sensor=false"><!-- --></script>

<script>
//	window.onload = load;
	window.addEventListener('load', load, false);			// 8.3.0.0 (2022/08/01)
	var map;
	function load(){
		// 地図中央の指定
		// var latlng	= new google.maps.LatLng(35.681382,139.766084);
		var latlng	= new google.maps.LatLng("{@IDO}","{@KEIDO}");
		// ｽｹｰﾙの指定
		var scale	= Number("{@SCALE}");
		var myOptions = {
			zoom: scale,
			center: latlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};

		map = new google.maps.Map(document.getElementById("map"),myOptions)

		// clickｲﾍﾞﾝﾄ
		google.maps.event.addListener(map, 'click', clickEventFunc);
	}

	// clickｲﾍﾞﾝﾄ
	function clickEventFunc(event){
		// 経度緯度
		alert("ｸﾘｯｸされた緯度経度：" + event.latLng);
	}
</script>
</og:head>

<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "TEST03"
	title	= "GoogleMap"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>


<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command="{@command}" />

<div id="map" style="position:relative;left:30px; top:30px; width:700px;height:500px"></div>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>

